#ifndef _ABOUT_WINDOW_H_
#define _ABOUT_WINDOW_H_

#include <Window.h>
#include <View.h>
#include <Button.h>
#include <iostream>
#include <Messenger.h>
#include "TexView.h"
#include "Constants.h"
#include <StringView.h>
#include <ScrollView.h>
#include <Font.h>
#include <Button.h>
#include <string>
#include "misza_gradient_view.h"
#include "betex_logo_small.h"
#include <Roster.h>

#include <MessageRunner.h>
const uint32 UPDATE_COLORS = 'updt';
const int32 UPDATE_TIME = 100;

class aboutView : public BView
{
	public:
		aboutView(BRect r);
		virtual void Draw(BRect r);
		void ConvertRGB32ToGreyRGB32(BBitmap* b);
	private:
		
		BBitmap* logo;
};

class AboutWindow : public BWindow
{
	public:
		AboutWindow(BRect r,BMessenger* messenger);
		~AboutWindow();
		virtual void MessageReceived(BMessage* msg);
		void Quit();
	private:
		aboutView* about;
		BMessenger* msgr;
		BButton* fHomePage;
		BButton* fDonate;
		BButton* fBeBits;
		BButton* fQuit;
		
		zGradientView* gradient;
		rgb_color top;
		rgb_color bottom;
		bool tup;
		bool bup;

};
#endif
