#include "DocView.h"
void DocView::ConvertRGB32ToGreyRGB32(BBitmap* b)
{
	int size = b->BitsLength();
	uint8* src = (uint8*)b->Bits();
	
	for(int i=0;i<b->BitsLength();i+=4)	
	{
		uint8 avg = (uint8)(0.3*src[i+2]+0.59*src[i+1]+0.11*src[i]);
		src[i] = src[i+1] = src[i+2] = avg;
	}
}
DocView::DocView(BRect r) : BView(r,"DocView",B_FOLLOW_ALL_SIDES, B_WILL_DRAW/*|B_FRAME_EVENTS|B_NAVIGABLE*/)
{
	SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	int w = 246;
	int h = 107;
	logo = new BBitmap(BRect(0,0,w,h),B_RGB32);
	logo->SetBits(betex_logo,(w+1)*(h+1)*3,0,B_RGB32);
}
void DocView::Draw(BRect r)
{
	MovePenTo(5,5);
	DrawBitmap(logo);
	/*if(!R)
	{
		MovePenBy(0,200);
		BFont font(be_bold_font);
		font.SetSize(32);
		SetFont(&font);
		char dem[] = {A('D'), A('E'), A('M'),A('O'), 0};
		UNHIDE_STR(dem);
		DrawString(dem);
		HIDE_STR(dem);
	}*/
}

