#ifndef _BRENT_WINDOW_H_
#define _BRENT_WINDOW_H_

#include <iostream>
#include <stdio.h>
#include "app/Application.h"   // Be's BApplication class, necessary for any GUI stuff
#include "interface/Window.h"  // Be's BWindow class
#include <Font.h>
#include <View.h>
#include <String.h>
#include <vector>
#include <Bitmap.h>
#include "TButton.h"
struct sextet
{
	const char* s;
	int n;
	float w;
	float h;
	const unsigned char* p;
	const char* cmd;
};

#include "misc.h"
//custom BWindow subclass
class BrentWindow : public BWindow
{
	public:
		BrentWindow();
		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage* msg);
		void Tile(BView* v,bool IsOnlyResizing);
		virtual void FrameResized(float w,float h);
	private:
		vector<BBitmap*> bitvec;
		BView* parent;
		bool IsResizing;
		
};
#endif