#include "extractor.h"
int main(int argc, char** argv)
{
	
	Extractor app;
		
		CharRenderer r;
		//r.SetSize(22);
		struct item 
		{
			int i;
			const char* s;
			const char* font;
		}; 
/*	tiler = BRect(1,1,1+TileSize,1+TileSize);
	ViewHeight = 200;
	//text_color.green = 0;
	
	//Set the font & size for plus and minus letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
	renderer.SetSize(20);
	
	//Setup the view to place the TButtons on
	TexBarItemView* binrelView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"binrelView",B_FOLLOW_NONE,B_WILL_DRAW);
	binrelView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	

*/
const char* cmr10 = "/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmr10.pfb";
const char* cmmi8 = "/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmmi8.pfb";
const char* cmex10 = "/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmex10.pfb";
	item mmacc_items[] = {
	{94,"hat",cmr10},
	{20,"check",cmr10},
	{126,"tilde",cmr10},
	{19,"acute",cmr10},
	{18,"grave",cmr10},
	{95,"dot",cmr10},
	{127,"ddot",cmr10},
	{21,"breve",cmr10},
	{123,"bar",cmr10},
	{126,"vec",cmmi8},
	//10
	{98,"widehat",cmex10},
	{101,"widetilde",cmex10},
//	{94,"widehat",cmr10},
//	{126,"widetilde",cmr10},
	{97,"a",cmmi8},
	{65,"A",cmmi8}
	};
	
	

int total_items=14;

		

	r.SetSize(20);
		

		
		BBitmap* glyph;
		unsigned char* p;
		int32 size;
		char buf[5];
		ofstream outfile("mmacc.h");
		outfile << "#ifndef MATHMODEACCENTS_H_" << endl;
		outfile << "#define MATHMODEACCENTS_H_" << endl;
		BString about;
		BString item_array;
		
		item_array << "const sextet mmacc_data[] = {\n";
		//bool SwitchedFontToLower=false;
		for(int i=0;i<total_items;i++)
		{
			r.SetPath(mmacc_items[i].font);
			/*if(i == 10)
			r.SetSize(30);
			if(i == 12)
			r.SetSize(20);
			*/
			glyph = r.Render(mmacc_items[i].i);
			BRect gb = glyph->Bounds();
			size = glyph->BitsLength();
			about << "//bitmap_" << mmacc_items[i].s << "[" << size << "] : w = " << (float)gb.Width() << " , h = " << (float)gb.Height() << "\n";
			if(i != total_items-1)
				item_array << "{\"" << mmacc_items[i].s << "\"," << size << "," << (float)gb.Width() << "," << (float)gb.Height()<< ",bitmap_" << mmacc_items[i].s << ",\"\\\\" << mmacc_items[i].s << "\"},\n";
			else
				item_array << "{\"" << mmacc_items[i].s << "\"," << size << "," << (float)gb.Width() << "," << (float)gb.Height() <<",bitmap_" << mmacc_items[i].s << ",\"\\\\" << mmacc_items[i].s << "\"}\n";
			
			p = (unsigned char*)glyph->Bits();
			
			outfile << "const unsigned char bitmap_" << mmacc_items[i].s << "[" << size << "] = {\n";
			int count = 0;
			
			
			for(int i=0;i<size;i++)
			{
				if(i == size -1)
				{	
					sprintf(buf,"%u};",p[i]);
					outfile << buf;
				}else
				{	
					sprintf(buf,"%u",p[i]);
					outfile << buf << ",";
				}
				if(count == 20)
				{	
					outfile << endl;
					count = 0;	
				}
				else
					count++;
			}
			outfile << endl;
		}
		item_array << "};\n";
		//outfile << "struct sextet\n{\n\tconst char* s;\n\tint n;\n\tfloat w;\n\tfloat h;\n\tconst unsigned char* p;\n};\n";
		outfile << about.String() << endl;
		outfile << "const int mmacc_items = " << (int)total_items << ";" << endl;
		outfile << item_array.String() << endl;
		
		outfile << "#endif" << endl;
		outfile.close();
		
	
	return 0;
}

Extractor::Extractor() : BApplication("application/x-vnd.misza-Extractor")
{
	
}
Extractor::~Extractor()
{
	//empty
}
	//Setup some needed things
/*
	helper = new BubbleHelper();
	TButton* TempButton;
	SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	r = Bounds();
	const int ItemHeight=20;
	const int TileSize=23;
	int ViewHeight=195;	//Greek toolbar size, var changes with each toolbar
	
	struct item { 
					int idx;
	 				const char* cmd;
	 			};
	BRect tiler = BRect(1,1,1+TileSize,1+TileSize);
	rgb_color text_color = {0,0,255,255};
	
	//GREEK LETTER TOOLBAR
	
	//Set the font & size for Capital letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmr8.pfb");
	renderer.SetSize(22);
	
	//Setup the view to place the TButtons on
	TexBarItemView* greekView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"greekView",B_FOLLOW_NONE,B_WILL_DRAW);
	greekView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	
	//Message sent to window by the TButtons
	BMessage* msg = new BMessage(CMD_TBUTTON_INSERT);
	BString cmd = "\\Gamma";
	if(msg->AddString("cmd",cmd.String()) == B_OK)
	{
		
		greekView->AddChild((TempButton = new TButton(tiler,msg,renderer.Render(128))));//(128,text_color))));
		helper->SetHelp(TempButton,cmd.String());
		tiler.OffsetBy(TileSize+1,0);
	}
	text_color.green += 6;

	int j=1;
	int i;
	//Uppercase Delta -> Omega
	for(i=1;i<11;i++)
	{
		
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		switch(i)
		{	
			case 1:
				cmd = "\\Delta";
			break;
			case 2:
				cmd = "\\Theta";
			break;
			case 3:
				cmd = "\\Lambda";
			break;
			case 4:
				cmd = "\\Xi";
			break;
			case 5:
				cmd = "\\Pi";
			break;
			case 6:
				cmd = "\\Sigma";
			break;
			case 7:
				cmd = "\\Upsilon";
			break;
			case 8:
				cmd = "\\Phi";
			break;
			case 9:
				cmd = "\\Psi";
			break;
			case 10:
				cmd = "\\Omega";
			break;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);		
		if(msg->AddString("cmd",cmd.String()) == B_OK)
		{
			
			greekView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(i))));//(i,text_color))));
			helper->SetHelp(TempButton,cmd.String());
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}
	
	
	//ItemRect.bottom=ItemRect.top+ItemHeight+ViewHeight;
	
	//Set the font & size for Lower letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmmi8.pfb");
	renderer.SetSize(22);
	
	i=11;
	//Lowercase Alpha -> VarPhi
	for(i;i<40;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		switch(i)
		{
			
			case 11:
				cmd = "\\alpha";
			break;
			case 12:
			
				cmd = "\\beta";
			break;
			case 13:
			
				cmd = "\\gamma";
			break;
			case 14:
			
				cmd = "\\delta";
			break;
			case 15:
			
				cmd = "\\epsilon";
			break;
			case 16:
			
				cmd = "\\zeta";
			break;
			case 17:
			
				cmd = "\\eta";
			break;
			case 18:
			
				cmd = "\\theta";
			break;
			case 19 :
			
				cmd = "\\iota";
			break;
			case 20:
			
				cmd = "\\kappa";
			break;
			case 21:
			
				cmd = "\\lambda";
			break;
			case 22:
			
				cmd = "\\mu";
			break;
			case 23:
			
				cmd = "\\nu";
			break;
			case 24:
			
				cmd = "\\xi";
			break;
			case 25:
			
				cmd = "\\pi";
			break;
			case 26:
			
				cmd = "\\rho";
			break;
			case 27:
			
				cmd = "\\sigma";
			break;
			case 28 :
			
				cmd = "\\tau";
			break;
			case 29:
			
				cmd = "\\upsilon";
			break;
			case 30:
			
				cmd = "\\phi";
			break;
			case 31:
			
				cmd = "\\chi";
			break;
			case 32:
			
				cmd = "\\psi";
			break;
			case 33:
			
				cmd = "\\omega";
			break;
			case 34:
				cmd = "\\varepsilon";
			break;
			case 35:
				cmd = "\\vartheta";
			break;
			case 36:
				cmd = "\\varpi";
			break;
			case 37:
				cmd = "\\varrho";
			break;
			case 38:
				cmd = "\\varsigma";
			break;
			case 39:
				cmd = "\\varphi";
			break;
				
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",cmd.String()) == B_OK)
		{
			
			greekView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(i))));//(i,text_color))));
			helper->SetHelp(TempButton,cmd.String());
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}
	Greek = new TexBarItem(BRect(r.left,r.top,r.left+121,r.top+ItemHeight+ViewHeight),"Greek Letters",greekView);
	AddChild(Greek);
	
	//Setup BigOp Toolbar
	tiler = BRect(1,1,1+TileSize,1+TileSize);
	ViewHeight = 75;
	text_color.green = 0;
	
	//Set the font & size for Capital letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmex10.pfb");
	renderer.SetSize(19);
	
	//Setup the view to place the TButtons on
	TexBarItemView* bigopView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"bigopView",B_FOLLOW_NONE,B_WILL_DRAW);
	bigopView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));

	
	int item_array_size=14;
	item big_op_items[] = {
	{80,"\\sum"},
	{81,"\\prod"},
	{96,"\\coprod"},
	{82,"\\int"},
	{72,"\\oint"},
	{84,"\\bigcap"},
	{83,"\\bigcup"},
	{70,"\\bigsqcup"},
	{87,"\\bigvee"},
	{86,"\\bigwedge"},
	{74,"\\bigodot"},
	{78,"\\bigotimes"},
	{76,"\\bigoplus"},
	{85,"\\biguplus"}};
	
	j=0;
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",big_op_items[i].cmd) == B_OK)
		{
			
			bigopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(big_op_items[i].idx))));//(big_op_items[i].idx,text_color))));
			helper->SetHelp(TempButton,big_op_items[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=18;
		}
		j++;
	}	
	
	float last_item_height=Greek->Bounds().Height();
	BigOp = new TexBarItem(BRect(r.left,r.top+last_item_height,r.left+121,r.top+ItemHeight+ViewHeight+last_item_height),"BIG Operators",bigopView);
	AddChild(BigOp);
	
	//Setup BinaryOperators Toolbar
	
	tiler = BRect(1,1,1+TileSize,1+TileSize);
	ViewHeight = 195;
	text_color.green = 0;
	
	//Set the font & size for plus and minus letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmr8.pfb");
	renderer.SetSize(20);
	
	//Setup the view to place the TButtons on
	TexBarItemView* binaryopView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"binaryopView",B_FOLLOW_NONE,B_WILL_DRAW);
	binaryopView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	
	//Add plus and minus first...silly I know :P
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd","+") == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(43))));//(43,text_color))));
			helper->SetHelp(TempButton,"+");
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd","-") == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(45))));//(45,text_color))));
			helper->SetHelp(TempButton,"-");
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
	
	item_array_size=20;
	item bin_op_items[] = {
	{6,"\\pm"},
	{7,"\\mp"},
	{1,"\\cdot"},
	{2,"\\times"},
	{4,"\\div"},
	{110,"\\setminus"},
	{91,"\\cup"},
	{116,"\\sqcup"},
	{92,"\\cap"},
	{117,"\\sqcap"},
	{95,"\\vee"},
	{94,"\\wedge"},
	{8,"\\oplus"},
	{9,"\\ominus"},
	{12,"\\odot"},
	{10,"\\otimes"},
	{11,"\\oslash"},
	{13,"\\bigcirc"},
	{52,"\\bigtriangleup"},
	{53,"\\bigtriangledown"}
	};
	
	j=2;
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",bin_op_items[i].cmd) == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(bin_op_items[i].idx))));//(bin_op_items[i].idx,text_color))));
			helper->SetHelp(TempButton,bin_op_items[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}	
	
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/latex/lasy8.pfb");
	item_array_size=4;
	//These items require latexsym package! Must remind users!
	item bin_op_items_hd[] = {
	{16,"\\lhd"},
	{1,"\\unlhd"},
	{3,"\\unrhd"},
	{2,"\\rhd"}
	};
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",bin_op_items_hd[i].cmd) == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(bin_op_items_hd[i].idx))));//(bin_op_items_hd[i].idx,text_color))));
			helper->SetHelp(TempButton,bin_op_items_hd[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}	
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmmi8.pfb");
	item_array_size=3;
	item bin_op_items_tri_star[] = {
	{47,"\\triangleleft"},
	{46,"\\triangleright"},
	{63,"\\star"}
	};
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",bin_op_items_tri_star[i].cmd) == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(bin_op_items_tri_star[i].idx))));//(bin_op_items_tri_star[i].idx,text_color))));
			helper->SetHelp(TempButton,bin_op_items_tri_star[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}	
	
	
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
	item_array_size=9;
	item bin_op_items_the_rest[] = {
	{3,"\\ast"},
	{14,"\\circ"},
	{15,"\\bullet"},
	{5,"\\diamond"},
	{93,"\\uplus"},
	{113,"\\amalg"},
	{121,"\\dagger"},
	{122,"\\ddagger"},
	{111,"\\wr"}
	};
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",bin_op_items_the_rest[i].cmd) == B_OK)
		{
			
			binaryopView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(bin_op_items_the_rest[i].idx))));//(bin_op_items_the_rest[i].idx,text_color))));
			helper->SetHelp(TempButton,bin_op_items_the_rest[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=6;
		}
		j++;
	}	
	
	
	
	
	last_item_height=BigOp->Bounds().Height();
	BinaryOp = new TexBarItem(BRect(r.left,r.top+last_item_height,r.left+121,r.top+ItemHeight+ViewHeight+last_item_height),"Binary Operators",binaryopView);
	AddChild(BinaryOp);

	
	//Setup Miscellaneous Symbols Toolbar
	
	tiler = BRect(1,1,1+TileSize,1+TileSize);
	ViewHeight = 171;
	text_color.green = 0;
	
	//Set the font & size for plus and minus letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/symbols/msbm10.pfb");
	renderer.SetSize(20);
	
	//Setup the view to place the TButtons on
	TexBarItemView* miscsymView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"miscsymView",B_FOLLOW_NONE,B_WILL_DRAW);
	miscsymView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	
	msg = new BMessage(CMD_TBUTTON_INSERT);
	if(msg->AddString("cmd","\\hbar") == B_OK)
	{
		
		miscsymView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(121))));//(121,text_color))));
		helper->SetHelp(TempButton,"\\hbar");
		tiler.OffsetBy(TileSize+1,0);
		text_color.green+=7;
	}
	


//	{7,"\\dots"},
//	{1,"\\cdots"},
//	{7,"\\vdots"},
//	{1,"\\ddots"},
	
	item_array_size=31;
	item misc_sym_items[] = {
	{123,"\\imath"},
	{124,"\\jmath"},
	{96,"\\ell"},
	{60,"\\Re"},
	{61,"\\Im"},
	{64,"\\aleph"},
	{125,"\\wp"},
	{56,"\\forall"},
	{57,"\\exists"},
	{8,"\\mho"},
	{64,"\\partial"},
	{104,"'"},
	{48,"\\prime"},
	{59,"\\emptyset"},
	{49,"\\infty"},
	{114,"\\nabla"},
	{52,"\\triangle"},
	{10,"\\Box"},
	{11,"\\Diamond"},
	{63,"\\bot"},
	{62,"\\top"},
	{92,"\\angle"},
	{112,"\\surd"},
	{125,"\\diamondsuit"},
	{126,"\\heartsuit"},
	{124,"\\clubsuit"},
	{127,"\\spadesuit"},
	{58,"\\neg"},
	{91,"\\flat"},
	{92,"\\natural"},
	{93,"\\sharp"}
	};
	
	j=1;
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		
		
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",misc_sym_items[i].cmd) == B_OK)
		{
			if(i == 0 || i == 6 || i == 10 || i == 28)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmmi8.pfb");
			if(i == 9 || i == 17)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/latex/lasy8.pfb");
			if(i == 3 || i == 7  || i == 12 || i == 19 || i == 22)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
			if(i == 11)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bitstrea/charter/bchb8a.pfb");
			if(i == 21)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/symbols/msam10.pfb");
			
			miscsymView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(misc_sym_items[i].idx))));//(misc_sym_items[i].idx,text_color))));
			helper->SetHelp(TempButton,misc_sym_items[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			text_color.green+=7;
		}
		j++;
	}	
	
	last_item_height=BinaryOp->Bounds().Height();
	MiscSym = new TexBarItem(BRect(r.left,r.top+last_item_height,r.left+121,r.top+ItemHeight+ViewHeight+last_item_height),"Misc. Symbols",miscsymView);
	AddChild(MiscSym);
*/

	//***************************************************************************
	//Setup Binary Relations Toolbar
/*	
	tiler = BRect(1,1,1+TileSize,1+TileSize);
	ViewHeight = 200;
	//text_color.green = 0;
	
	//Set the font & size for plus and minus letters
	renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
	renderer.SetSize(20);
	
	//Setup the view to place the TButtons on
	TexBarItemView* binrelView = new TexBarItemView(BRect(0,ItemHeight+1,121,ItemHeight+ViewHeight+1),"binrelView",B_FOLLOW_NONE,B_WILL_DRAW);
	binrelView->SetViewColor(tint_color(ui_color(B_PANEL_BACKGROUND_COLOR),B_DARKEN_2_TINT));
	


	item_array_size=33;
	item mmacc_items[] = {
//{,"<"},
{20,"\\leq"},
{28,"\\ll"},
{30,"\\prec"},
{22,"\\preceq"},
{26,"\\subset"},
{28,"\\subseteq"},
{14,"\\sqsubset"},
{113,"\\sqsubseteq"},
{50,"\\in"},
{96,"\\vdash"},
{106,"\\mid"},
{94,"\\smile"},
//{,":"},
//{,">"},
{21,"\\geq"},
{29,"\\gg"},
{31,"\\succ"},
{23,"\\succeq"},
{27,"\\supset"},
{19,"\\supseteq"},
{15,"\\sqsupset"},
{119,"\\sqsupseteq"},
{53,"\\ni"},
{97,"\\dashv"},
{107,"\\parallel"},
{95,"\\frown"},
{51,"\\notin"},
//{,"="},
{17,"\\equiv"},
//{,"\\doteq"},
{24,"\\sim"},
{39,"\\simeq"},
{25,"\\approx"},
//{,"\\cong"},
{9,"\\Join"},
//{,"\\bowtie"},
{47,"\\propto"},
//{,"\\models"},
{63,"\\perp"},
{16,"\\asymp"},
//{,"\\neq"},
};
	
	j=1;
	for(i=0;i<item_array_size;i++)
	{
		if(j == 5)
		{
			tiler.left=1;
			tiler.right=1+TileSize;
			tiler.OffsetBy(0,TileSize+1);
			j = 0;
		}
		
		
		msg = new BMessage(CMD_TBUTTON_INSERT);
		if(msg->AddString("cmd",mmacc_items[i].cmd) == B_OK)
		{
			if(i == 0 || i == 6 || i == 10 || i == 28)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmmi8.pfb");
			if(i == 9 || i == 17)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/latex/lasy8.pfb");
			if(i == 3 || i == 7  || i == 12 || i == 19 || i == 22)
				renderer.SetPath("/boot/home/config/teTeX/share/texmf/fonts/type1/bluesky/cm/cmsy8.pfb");
	
			binrelView->AddChild((TempButton=new TButton(tiler,msg,renderer.Render(mmacc_items[i].idx))));//(misc_sym_items[i].idx,text_color))));
			helper->SetHelp(TempButton,mmacc_items[i].cmd);
			tiler.OffsetBy(TileSize+1,0);
			//text_color.green+=7;
		}
		j++;
	}	
	
	last_item_height=MiscSym->Bounds().Height();
	BinaryRel = new TexBarItem(BRect(r.left,r.top+last_item_height,r.left+121,r.top+ItemHeight+ViewHeight+last_item_height),"Binary Relations",binrelView);
	AddChild(BinaryRel);
	*/
