#include "PrefsListItem.h"

PrefsListItem::PrefsListItem(BView* prefsView,BView* bView,BString label) : BListItem()
{
	pv = prefsView;
	v = bView;
	fname  = label;
	bView->AddChild(prefsView);
	pv->Hide();
}

PrefsListItem::~PrefsListItem()
{
	/*sv->RemoveChild(tv);
	SP->RemoveChild(sv);
	delete tv;
	delete sv;
	*/
}
void PrefsListItem::Hide()
{
	if(!pv->IsHidden())
	pv->Hide();

}
void PrefsListItem::Show()
{
	if(pv->IsHidden())
	pv->Show();

}

void PrefsListItem::DrawItem(BView* owner,BRect frame,bool complete=false)
{
	rgb_color color;
	color = owner->ViewColor();
	BFont font(be_plain_font);
	font.SetSize(12);
	
	if(IsSelected() || complete)
	{
		if(IsSelected())
		{
			BFont font2(be_bold_font);
			font2.SetSize(12);
			color = ui_color(B_WINDOW_TAB_COLOR);//owner->ViewColor();//highlight_color;
		
			owner->SetFont(&font2);
		}
		else
		{ 
			
			color = owner->ViewColor();//owner->ViewColor();//highlight_color;

			owner->SetFont(&font);
			
			
		}
		owner->SetHighColor(color);
		owner->SetLowColor(color);
		//owner->SetLowColor(255,255,255);
		owner->FillRect(frame);
	}
	else
	{
		owner->SetFont(&font);	
		owner->SetHighColor(color);
		owner->SetLowColor(color);	
		owner->FillRect(frame);
	}
	owner->MovePenTo(frame.left+4,frame.bottom-2);
	
	owner->SetHighColor(0,0,0);

	owner->SetLowColor(color);
	owner->DrawString(fname.String());
	//BFont font(be_plain_font);
	//font.SetSize(12);
	//owner->SetFont(&font);
}
