#ifndef _PREFSLIST_VIEW_H
#define _PREFSLIST_VIEW_H_

#include <ListView.h>
#include "TListItem.h"
#include <Window.h>
#include <Messenger.h>
#include <Message.h>
#include "Constants.h"
#include "PrefsListItem.h"
class PrefsListView : public BListView
{
	public:
		PrefsListView(BRect frame,BView* p);
		virtual void SelectionChanged();	
		virtual void MessageReceived(BMessage* msg);
		virtual void MouseDown(BPoint point);
		void Next(int increment);
		void Prev(int decrement);
	private:
		BView* parent;
		int LastSelectedIndex;
		//bool IsDocViewHidden;
		//uint32 button;	//last button pressed down
};

#endif //_TLIST_VIEW_H_

