#include <Window.h>
#include <View.h>
#include <Application.h>
#include <Bitmap.h>
#include "new_large.h"
#include <TranslationUtils.h>
#include <Entry.h>
#include <File.h>
#include <stdio.h>
#include <iostream>
#include <fstream>
class BrentView : public BView
{
	public:
		BrentView(BRect r,entry_ref ref);
		virtual void Draw(BRect r);
	private:
		BBitmap* icon;
};
class BrentWindow : public BWindow
{
	public:
		BrentWindow(entry_ref ref);
		virtual bool QuitRequested() { be_app->PostMessage(B_QUIT_REQUESTED);return true;}
	private:
		BrentView* v;
};
BrentView::BrentView(BRect r,entry_ref ref) : BView(r,"something",B_FOLLOW_ALL,B_WILL_DRAW)
{
	SetViewColor(216,216,216);
	/*ofstream outfile("test.h");
	outfile << "unsigned char " << "large_new_icon" << "[" << size << "] = {\n";
	icon = BTranslationUtils::GetBitmap(&ref);//new BBitmap(BRect(0,0,30,30),B_RGB32);
			unsigned char* p = (unsigned char*)icon->Bits();
			int size = icon->BitsLength();
			
			for(int i=0;i<size;i+=4)
			{	
				p[i+3] = (unsigned char)255;
				
				if((int)p[i] == 255 && (int)p[i+1] == 0 && (int)p[i+2] == 255)
				{	
					p[i+3] = (unsigned char)0;
				
				}
				
				//cout << "RED = " << (int)p[i+2] << ", GREEN = " << (int)p[i+1] << ", BLUE = " << (int)p[i] << ", ALPHA = "<< (int)p[i+3] << endl;
			}
			header_icon_array
	unsigned char* p = bitmap_to_draw->Bits();
	memcpy (header_icon_array, p, size);
	*/
	icon = new BBitmap(BRect(0,0,31,31),B_RGB32);
	icon->SetBits(new_large,3072,0,B_RGB32);
	unsigned char* p = (unsigned char*)icon->Bits();
	int size = icon->BitsLength();
	
	for(int i=0;i<size;i+=4)
	{	
		p[i+3] = (unsigned char)255;
		
		if((int)p[i] == 255 && (int)p[i+1] == 0 && (int)p[i+2] == 255)
		{	
			p[i+3] = (unsigned char)0;
		
		}
		//cout << "RED = " << (int)p[i+2] << ", GREEN = " << (int)p[i+1] << ", BLUE = " << (int)p[i] << ", ALPHA = "<< (int)p[i+3] << endl;
	}	
	//unsigned char* p = (unsigned char*)icon->Bits();
	
	//icon->SetBits(large_new_icon,4096,0,B_RGBA32);
}
void BrentView::Draw(BRect r)
{
	MovePenTo(10,10);
	SetDrawingMode(B_OP_ALPHA);
	DrawBitmap(icon);
}
BrentWindow::BrentWindow(entry_ref ref) : BWindow(BRect(100,100,196,196),"NewIcon",B_TITLED_WINDOW,0)		
{
	v = new BrentView(Bounds(),ref);
	AddChild(v);
}
int main(int argc,char* argv[])
{
	if(argc < 2)
	{
		cout << "Usage: ./new <image>" << endl;
		return 1;
	}
	BEntry entry(argv[1]);
	entry_ref ref;
	if(entry.GetRef(&ref) == B_OK)
	{

	BApplication app("application/x-vnd.misza-new_window");
	BrentWindow* window = new BrentWindow(ref);
	window->Show();
	window->SetLook(B_FLOATING_WINDOW_LOOK);
	app.Run();
}
}
